org.richfaces.renderkit.html

## Class CalendarRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.InputRendererBase
      - - org.richfaces.renderkit.CalendarRendererBase
        - - org.richfaces.renderkit.html.CalendarRenderer

- All Implemented Interfaces:
    MetaComponentRenderer

      public class CalendarRenderer
      extends CalendarRendererBase

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.renderkit.CalendarRendererBase

      `CALENDAR_BUNDLE, CALENDAR_DISABLE_ICON_RESOURCE_NAME, CALENDAR_ICON_RESOURCE_NAME, CALENDAR_INPUT_HANDLER_ATTRIBUTES, calendarConverterLookupStrategy, CURRENT_DATE_INPUT, FIRST_DAY_WEEK, MIN_DAYS_IN_FIRST_WEEK, MONTH_LABELS, MONTH_LABELS_SHORT, OPTION_DISABLED, OPTION_MIN_DAYS_IN_FIRST_WEEK, WEEK_DAY_LABELS_SHORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter responseWriter, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.

    - ### Methods inherited from class org.richfaces.renderkit.CalendarRendererBase

      `createDefaultConverter, decodeMetaComponent, doDecode, encodeMetaComponent, formatDate, formatSelectedDate, getAsLocale, getBoundaryDatesModeOrDefault, getButtonIcon, getCollectedLabels, getConvertedValue, getCurrentDate, getCurrentDateAsString, getDayCellClass, getDayEnabled, getDayStyleClass, getDirection, getInputValue, getJointPoint, getLabels, getLocaleOptions, getModeOrDefault, getPopupStyle, getPreparedDefaultTime, getSelectedDate, getTodayControlModeOrDefault, isUseIcons, renderInputHandlers, setupConverter, writePreloadBody`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarRenderer

          public CalendarRenderer()

  - ### Method Detail

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter responseWriter,
                                  javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent component)
                           throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeEnd(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeEnd` in class `RendererBase`
      Throws:
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.